由于缺少编译器错误,具有python和alpine失败的Docker镜像

我正在寻找一个包含python3和crontab的docker镜像.
当我使用python:latest作为基础时,我没有cron,但所有必需的python包安装没有问题.

当我使用alpine作为基础时,我有(busybox)cron工作,但由于编译器错误而无法安装特定的python包.

当我使用python时,同样适用:alpine

收集pynacl> = 1.0.1(来自paramiko-> -r required_python_packages.txt(第6行))
  正在下载PyNaCl-1.1.2.tar.gz(3.1MB)
    从命令python setup.py egg_info完成输出:

    No working compiler found, or bogus compiler options
    passed to the compiler from Python's distutils module.
    See the error messages above.

有什么建议吗?

最佳答案
你需要一个有效的编译器,最简单的方法是安装基于build的基础包,如下所示:

apk add --no-cache --virtual .pynacl_deps build-base python3-dev libffi-dev

这将安装编译pynacl和pip安装所需的各种工具pynacl现在将成功.

请注意,使用–virtual标志是可选的,但它可以轻松修剪图像,因为您可以稍后在Dockerfile中运行apk del .pynacl_deps,因为它们不再需要,并且会减小图像的整体大小.

转载注明原文:由于缺少编译器错误,具有python和alpine失败的Docker镜像 - 代码日志